<?php
add_action('wp_enqueue_scripts', 'charihope_theme_scripts_styles');
add_action('wp_enqueue_scripts', 'charihope_theme_script_default');


function charihope_theme_scripts_styles() {

	/* enqueue the javascript that performs in-link comment reply fanciness */
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' ); 
	}

	/* Add Javascript  */
	wp_enqueue_script( 'bootstrap', OVADEFAULT_URI.'/assets/libs/bootstrap/js/bootstrap.bundle.min.js' , array( 'jquery' ), null, true );
	wp_enqueue_script( 'select2', OVADEFAULT_URI.'/assets/libs/select2/select2.min.js' , array( 'jquery' ), null, true );
	wp_enqueue_script( 'jquery-ui-tabs' );
	wp_enqueue_script( 'jquery-ui-datepicker' );
	wp_enqueue_script( 'fancybox', OVADEFAULT_URI.'/assets/libs/fancybox-master/dist/jquery.fancybox.min.js', [ 'jquery' ],false,true);

	wp_enqueue_script( 'jquery-countdown-plugin', OVADEFAULT_URI.'/assets/libs/jquery-countdown/jquery.plugin.min.js', array(), null );
	wp_enqueue_script( 'jquery-countdown', OVADEFAULT_URI.'/assets/libs/jquery-countdown/jquery.countdown.min.js', array(), null );
	$language =  get_theme_mod( 'choice_language' );
	if ($language != '') {
		wp_enqueue_script( 'jquery-countdown-'.$language, OVADEFAULT_URI.'/assets/libs/jquery-countdown/jquery.countdown-'.$language.'.js', array(), null );
	}

	wp_enqueue_script('charihope-script', OVADEFAULT_URI.'/assets/js/script.js', array('jquery'),null,true);

	/* Add Css  */
	wp_enqueue_style('bootstrap', OVADEFAULT_URI.'/assets/libs/bootstrap/css/bootstrap.min.css', array(), null);

	wp_enqueue_style( 'select2', OVADEFAULT_URI. '/assets/libs/select2/select2.min.css', array(), null );
	wp_enqueue_style( 'flaticon', OVADEFAULT_URI.'/assets/libs/flaticon/font/flaticon.css', array(), null );
	wp_enqueue_style( 'v4-shims', OVADEFAULT_URI.'/assets/libs/fontawesome/css/v4-shims.min.css', array(), null);
	wp_enqueue_style( 'fontawesome', OVADEFAULT_URI.'/assets/libs/fontawesome/css/all.min.css', array(), null);
	wp_enqueue_style( 'elegant-font', OVADEFAULT_URI.'/assets/libs/elegant_font/ele_style.css', array(), null);
	wp_enqueue_style( 'material-icon', OVADEFAULT_URI.'/assets/libs/material-design-iconic-font/css/material-design-iconic-font.min.css', array(), null);
	
	wp_enqueue_style( 'jquery-ui', OVADEFAULT_URI.'/assets/libs/jquery-ui/jquery-ui.min.css', array(), null);

	wp_enqueue_style( 'fancybox', OVADEFAULT_URI.'/assets/libs/fancybox-master/dist/jquery.fancybox.min.css', array(), null);
	wp_enqueue_style( 'jquery-countdown', OVADEFAULT_URI.'/assets/libs/jquery-countdown/jquery.countdown.css', array(), null);

	wp_enqueue_style('charihope-theme', OVADEFAULT_URI.'/assets/css/theme.css', array(), null);

}

function charihope_theme_script_default(){

	if ( is_child_theme() ) {
		wp_enqueue_style( 'charihope-parent-style', trailingslashit( get_template_directory_uri() ) . 'style.css', array(), null );
	}

	wp_enqueue_style( 'charihope-style', get_stylesheet_uri(), array(), null );
}


