<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

do_action( 'give_before_single_form' );

if ( post_password_required() ) {
	echo get_the_password_form();
	return;
}

$id = get_the_ID();

$ova_met_media_give = get_post_meta( $id, 'ova_met_media_give', true ) ? get_post_meta( $id, 'ova_met_media_give', true ) : '';
$ova_met_gallery_give = get_post_meta( $id, 'ova_met_gallery_give', true ) ? get_post_meta( $id, 'ova_met_gallery_give', true ) : '';
$ova_met_contact_form_give = get_post_meta( $id, 'ova_met_contact_form_give', true ) ? get_post_meta( $id, 'ova_met_contact_form_give', true ) : '';

$show_goal = give_get_meta( $id, '_give_goal_option', true );
$charihope_progress_stats = apply_filters( 'charihope_progress_stats', $id );

$show_content = give_get_meta( $id, '_give_display_content', true );
$content = get_post_meta( $id, '_give_form_content', true );

$charihope_count_donor = apply_filters( 'charihope_count_donor', $id);

$end_date = get_post_meta( $id, 'ova_met_end_date_give', true ) ? get_post_meta( $id, 'ova_met_end_date_give', true ) : '0';
$format_end_date = date("Y-m-d H:i:s", $end_date);

?>


<div id="give-form-<?php the_ID(); ?>-content" <?php post_class(); ?>>
	<div class="sidebar">
		<?php
		do_action( 'give_before_single_form_summary' );
		?>
	</div>

	<div class="<?php echo apply_filters( 'give_forms_single_summary_classes', 'summary entry-summary' ); ?>">
		<div class="ova_media">
			<?php the_post_thumbnail($id); ?>
			
			<div class="date_social">
				<div class="due_date" data-date="<?php echo esc_attr( $format_end_date ); ?>">
				</div>

				<?php echo apply_filters( 'ova_share_social', get_the_permalink(), get_the_title() ); ?>
			</div>
		</div>
		
		<div class="donation">
			<?php if (isset($charihope_progress_stats)) { ?>

				<div class="ova_info_donation">

					<div class="share_social_mobile">
						<?php echo apply_filters( 'ova_share_social', get_the_permalink(), get_the_title() ); ?>
					</div>

					<div class="donor_percentage">
						<p class="count_donor">
							<i class="icon_heart_alt"></i>
							<?php echo esc_html( $charihope_count_donor ); ?>
							<?php 
								if( $charihope_count_donor == '1') {
									esc_html_e( 'Donor', 'charihope' );
								}else{
									esc_html_e( 'Donors', 'charihope' );
								} ?>
						</p>
						<?php if ($show_goal != 'disabled') { ?>
							<p class="percentage">
								<?php echo esc_html( $charihope_progress_stats['progress'] . '%' ); ?>
							</p>
						<?php } ?>
					</div>

					<?php if ( $show_goal != 'disabled' ) { ?>
						<div class="progress">
							<span style="width: <?php echo esc_attr( $charihope_progress_stats['progress'].'%' ); ?>"></span>
						</div>
					<?php } ?>

					<div class="raised">
						<div class="income">
							<span class="second_font"><?php esc_html_e( 'Raised:', 'charihope' ); ?></span>
							<span><?php echo esc_html( $charihope_progress_stats['actual'] ); ?></span>
						</div>

						<?php if ($show_goal != 'disabled') { ?>
							<div class="goal">
								<span  class="second_font"><?php esc_html_e( 'Goal:', 'charihope' ); ?></span>
								<span><?php echo esc_html( $charihope_progress_stats['goal'] ); ?></span>
							</div>
						<?php } ?>
					</div>

				</div>
			<?php } ?>

			<?php
			remove_action( 'give_single_form_summary', 'give_template_single_title', 5 );
			remove_action( 'give_pre_form_output', 'give_form_content', 10 );
			remove_action( 'give_pre_form', 'give_show_goal_progress', 10 );
			do_action( 'give_single_form_summary' );

			/* Add action */
			add_action( 'give_single_form_summary', 'give_template_single_title', 5 );
			add_action( 'give_pre_form_output', 'give_form_content', 10, 2 );
			add_action( 'give_pre_form', 'give_show_goal_progress', 10, 2 );
			?>
		</div>


		<div class="give_form_info">
			<ul class="form_tab">
				<li><a href="#description" class="second_font"><?php esc_html_e( 'Description', 'charihope' ); ?></a></li>
				<li><a href="#video" class="second_font"><?php esc_html_e( 'Video', 'charihope' ); ?></a></li>
				<li><a href="#donor" class="second_font"><?php esc_html_e( 'Donor', 'charihope' ); ?><sup class="count_donor"><?php echo esc_html( $charihope_count_donor ); ?></sup></a></li>
				<li><a href="#gallery" class="second_font"><?php esc_html_e( 'Gallery', 'charihope' ); ?></a></li>
				<li><a href="#contact" class="second_font"><?php esc_html_e( 'Contact', 'charihope' ); ?></a></li>
				<?php if (comments_open( $id )) { ?>
					<li><a href="#comment" class="second_font"><?php esc_html_e( 'Comments', 'charihope' ); ?><sup class="count_comment"><?php echo esc_html( get_comments_number($id)); ?></sup></a></li>
				<?php } ?>
			</ul>
			<?php if ($show_content != 'disabled') { ?>
				<div id="description">
					<p><?php echo do_shortcode( $content ); ?></p>
				</div>
			<?php } ?>
			

			<div id="video">
				<?php
				echo ''.$GLOBALS['wp_embed']->run_shortcode('[embed]'.$ova_met_media_give.'[/embed]');
				?>
			</div>

			<div id="donor">
				<?php echo do_shortcode( '[give_donor_wall form_id="'.$id.'"]' ); ?>
			</div>

			<div id="contact">
				<?php echo do_shortcode( $ova_met_contact_form_give ); ?>
			</div>

			<div id="gallery">
				<ul>
					<?php if ( $ova_met_gallery_give ) {
						foreach ( $ova_met_gallery_give as $key => $value ) { ?>
							<li><a href="<?php echo esc_attr( $value ); ?>" data-fancybox="<?php echo esc_attr( $id ); ?>"><img src="<?php echo esc_attr( $value ); ?>" alt="<?php echo esc_attr( $key ); ?>"></a></li>
						<?php }
					} ?>
				</ul>
			</div>

			<?php  if ( comments_open($id) || get_comments_number($id) ) { ?>
				<div id="comment">
					<?php comments_template(); ?>
				</div>
			<?php } ?>
		</div>

	</div> <!-- End Content -->
	

</div>
