<?php

class Ovadefault_Hooks {

	public function __construct() {
		
		/* Return HTML for Header */
		add_filter( 'charihope_render_header', array( $this, 'charihope_render_header' ) );

		/* Return HTML for Footer */
		add_filter( 'charihope_render_footer', array( $this, 'charihope_render_footer' ) );

		/* Get All Header */
		add_filter( 'charihope_list_header', array( $this, 'charihope_list_header' ) );

		/* Get All Footer */
		add_filter( 'charihope_list_footer', array( $this,  'charihope_list_footer' ) );

		/* Define Layout */
		add_filter( 'charihope_define_layout', array( $this,  'charihope_define_layout' ) );

		/* Define Wide */
		add_filter( 'charihope_define_wide_boxed', array( $this,  'charihope_define_wide_boxed' ) );

		/* Get layout */
		add_filter( 'charihope_get_layout', array( $this, 'charihope_get_layout' ) );

		/* Get sidebar */
		add_filter( 'charihope_theme_sidebar', array( $this, 'charihope_theme_sidebar' )  );

		/* Wide or Boxed */
		add_filter( 'charihope_width_site', array( $this, 'charihope_width_site' ) );

		/* Get Blog Template */
		add_filter( 'charihope_blog_template', array( $this, 'charihope_blog_template' ) );
		
		/* Get Progress Give Donations */
		add_filter( 'charihope_progress_stats', array( $this, 'charihope_progress_stats' ), 10, 1 );

		/* Get Donor Give */
		add_filter( 'charihope_count_donor', array( $this, 'charihope_count_donor' ) );

		
		add_filter( 'get_the_archive_title', array($this, 'charihope_get_the_archive_title' ) );

		

	}

	
	public function charihope_render_header(){

		$current_id = charihope_get_current_id();

		/* Get header default from customizer */
		$global_header = get_theme_mod('global_header','default');

		/* Header in Metabox of Post, Page */
		$meta_header = get_post_meta($current_id, 'ova_met_header_version', 'true');

		/* Header use in post,page */
		if( $current_id != '' && $meta_header != 'global'  && $meta_header != '' ){
			$header = $meta_header;
		}else if( charihope_is_blog_archive() || is_404() ){ /* Header use in blog */
			$header = get_theme_mod('blog_header', 'default');
		}else if( is_singular('post') ){ /* Header use in single post */
			$header = get_theme_mod('single_header', 'default');
		}else{ /* Header use in global */
			$header = $global_header;
		}

		$header_split = explode(',', $header);

		if ( charihope_is_elementor_active() && isset( $header_split[1] ) ) {

			$post_id_header = charihope_get_id_by_slug( $header_split[1] );

			// Check WPML 
			if( function_exists( 'icl_object_id' ) ){
				$post_id_header = icl_object_id($post_id_header, 'ova_framework_hf_el', false);	
			}


			return Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $post_id_header );

		}else if ( charihope_is_elementor_active() && !isset( $header_split[1] ) ) {

			return get_template_part( 'header/header', $header );

		}else if ( !charihope_is_elementor_active()  ) {

			return get_template_part( 'header/header', 'default' );
		}
	}

	public function charihope_render_footer(){

		$current_id = charihope_get_current_id();

		// Get Footer default from customizer
		$global_footer = get_theme_mod('global_footer', 'default' );

		// Footer in Metabox of Post, Page
		$meta_footer =  get_post_meta( $current_id, 'ova_met_footer_version', 'true' );



		if( $current_id != '' && $meta_footer != 'global'  && $meta_footer != '' ){
			$footer = $meta_footer;
		}else if( charihope_is_blog_archive() ){
			$footer = get_theme_mod('blog_footer', 'default');
		}else if( is_singular('post') ){
			$footer = get_theme_mod('single_footer', 'default');
		}else{
			$footer = $global_footer;
		}

		$footer_split = explode(',', $footer);

		if ( charihope_is_elementor_active() && isset( $footer_split[1] ) ) {

			$post_id_footer = charihope_get_id_by_slug( $footer_split[1] );

			// Check WPML 
			if( function_exists( 'icl_object_id' ) ){
				$post_id_footer = icl_object_id($post_id_footer, 'ova_framework_hf_el', false);	
			}

			
			return Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $post_id_footer );

		}else if ( charihope_is_elementor_active() && !isset( $footer_split[1] ) ) {

			get_template_part( 'footer/footer', $footer );

		}else if( !charihope_is_elementor_active() ){

			get_template_part( 'footer/footer', 'default' );			
		}
	}

	function charihope_list_header(){

		$hf_header_array['default'] = esc_html__( 'Default', 'charihope' );

		if( !charihope_is_elementor_active() ) return $hf_header_array;

		$args_hf = array(
			'post_type' => 'ova_framework_hf_el',
			'post_status'   => 'publish',
			'posts_per_page' => '-1',
			'meta_query' => array(
				array(
					'key'     => 'hf_options',
					'value'   => 'header',
					'compare' => '=',
				),
			)
		);

		$hf = new WP_Query( $args_hf );

		if($hf->have_posts()):  while($hf->have_posts()) : $hf->the_post();
			global $post;
			$hf_header_array[ 'ova,'.$post->post_name ] = get_the_title();

		endwhile;endif; wp_reset_postdata();

		return $hf_header_array;
	}

	function charihope_list_footer(){

		$hf_footer_array['default'] = esc_html__( 'Default', 'charihope' );

		if( !charihope_is_elementor_active() ) return $hf_footer_array;

		$args_hf = array(
			'post_type' => 'ova_framework_hf_el',
			'post_status'   => 'publish',
			'posts_per_page' => '-1',
			'meta_query' => array(
				array(
					'key'     => 'hf_options',
					'value'   => 'footer',
					'compare' => '=',
				),
			)
		);

		$hf = new WP_Query( $args_hf );

		if($hf->have_posts()):  while($hf->have_posts()) : $hf->the_post();
			global $post;
			$hf_footer_array[ 'ova,'.$post->post_name ] = get_the_title();

		endwhile;endif; wp_reset_postdata();

		return $hf_footer_array;
	}

	function charihope_define_layout(){
		return array(
			'layout_1c' => esc_html__('No Sidebar', 'charihope'),
			'layout_2r' => esc_html__('Right Sidebar', 'charihope'),
			'layout_2l' => esc_html__('Left Sidebar', 'charihope'),
		);
	}

	function charihope_get_layout(){

		$current_id = charihope_get_current_id();

		$layout = get_post_meta( $current_id, 'ova_met_main_layout', true );

		if( is_singular( 'post' ) ){

			$layout = get_theme_mod( 'single_layout', 'layout_2r' );
			$width_sidebar = get_theme_mod( 'single_sidebar_width', '320' );

		}else if( charihope_is_blog_archive() ){

			$layout = get_theme_mod( 'blog_layout', 'layout_2r' );
			$width_sidebar = get_theme_mod( 'blog_sidebar_width', '320' );

		}else{

			$layout = get_theme_mod( 'global_layout', 'layout_2r' );
			$width_sidebar = get_theme_mod( 'global_sidebar_width', '320' );
		}

		if( $current_id && $layout == 'global' ){
			$layout = get_post_meta( $current_id, 'ova_met_main_layout', true );
		}

		if( isset( $_GET['layout_sidebar'] ) ){
			$layout = $_GET['layout_sidebar'];
		}

		return array( $layout, $width_sidebar );
	}

	function charihope_width_site(){
		$current_id = charihope_get_current_id();
		$width_site = get_post_meta( $current_id, 'ova_met_width_site', true );

		if( $current_id && $width_site != 'global' ){
			$width = $width_site;
		}else{
			$width = get_theme_mod( 'global_width_site', 'wide' );
		}

		return $width;
	}

	function charihope_theme_sidebar(){
		$layout_sidebar = apply_filters( 'charihope_get_layout', '' );
		return $layout_sidebar[0];
	}

	function charihope_define_wide_boxed(){
		return array(
			'wide' => esc_html__('Wide', 'charihope'),
			'boxed' => esc_html__('Boxed', 'charihope'),
		);
	}

	function charihope_blog_template(){
		$blog_template = get_theme_mod( 'blog_template', 'default' );
		if( isset( $_GET['blog_template'] ) ){
			$blog_template = $_GET['blog_template'];
		}
		return $blog_template;
	}

	function charihope_progress_stats( $id = '' ){
		$form = new Give_Donate_Form( $id );
		if (function_exists('give_goal_progress_stats')) {
			$donation_progress_stats = give_goal_progress_stats( $form );
		}
		$goal_format = get_post_meta( $id, '_give_goal_format', true );

		if (function_exists('give_human_format_large_amount') && function_exists('give_format_amount') ) {
			$get_income = give_human_format_large_amount( give_format_amount( $donation_progress_stats['raw_actual'], array() ), array() );
			$get_goal   = give_human_format_large_amount( give_format_amount( $donation_progress_stats['raw_goal'], array() ), array() );
		}

		if (function_exists('give_currency_filter')) {
			$convert_income = give_currency_filter( $get_income, array( 'form_id' => $id ) );
			$conver_goal = give_currency_filter( $get_goal, array( 'form_id' => $id ) );
		}

		if ($goal_format == 'amount' || $goal_format == 'percentage') {
			$result['actual'] = $convert_income;
			$result['goal'] = $conver_goal;
			$result['progress'] = $donation_progress_stats['progress'];
		} else {
			$result['actual'] = $donation_progress_stats['actual'];
			$result['goal'] = $donation_progress_stats['goal'];
			$result['progress'] = $donation_progress_stats['progress'];
		}
		return $result;
	}

	function charihope_count_donor( $id = '' ){
		$form = new Give_Donate_Form( $id );
		return apply_filters( 'give_goal_donations_raised_output', $form->sales, $id, $form );
	}


	function charihope_get_the_archive_title( $title ){
		if ( is_category() ) {
			/* translators: Category archive title. 1: Category name */
			$title = esc_html__( 'Category', 'charihope' ).' '.single_cat_title( '', false );
		} elseif ( is_tag() ) {
			/* translators: Tag archive title. 1: Tag name */
			$title = esc_html__( 'Tag', 'charihope' ).' '.single_tag_title( '', false );
		} elseif ( is_author() ) {
			/* translators: Author archive title. 1: Author name */
			$title = esc_html__( 'Author', 'charihope' ).' <span class="vcard">'.get_the_author(). '</span>' ;
		} elseif ( is_year() ) {
			/* translators: Yearly archive title. 1: Year */
			$title = esc_html__( 'Year:', 'charihope' ).' '.get_the_date( 'Y' );
		} elseif ( is_month() ) {
			/* translators: Monthly archive title. 1: Month name and year */
			$title = esc_html__( 'Month:', 'charihope' ).' '.get_the_date( 'F Y' );
		} elseif ( is_day() ) {
			/* translators: Daily archive title. 1: Date */
			$title = esc_html__( 'Day:', 'charihope' ).' '.get_the_date( 'F j, Y' );
		} elseif ( is_tax( 'post_format' ) ) {
			if ( is_tax( 'post_format', 'post-format-aside' ) ) {
				$title = esc_html__( 'Asides', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) {
				$title = esc_html__( 'Galleries', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-image' ) ) {
				$title = esc_html__( 'Images', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-video' ) ) {
				$title = esc_html__( 'Videos', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-quote' ) ) {
				$title = esc_html__( 'Quotes', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-link' ) ) {
				$title = esc_html__( 'Links', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-status' ) ) {
				$title = esc_html__( 'Statuses', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-audio' ) ) {
				$title = esc_html__( 'Audio', 'charihope' );
			} elseif ( is_tax( 'post_format', 'post-format-chat' ) ) {
				$title = esc_html__( 'Chats', 'charihope' );
			}
		} elseif ( is_post_type_archive() ) {
			/* translators: Post type archive title. 1: Post type name */
			$title = post_type_archive_title( '', false );
		} elseif ( is_tax() ) {
			$tax = get_taxonomy( get_queried_object()->taxonomy );
			/* translators: Taxonomy term archive title. 1: Taxonomy singular name, 2: Current taxonomy term */
			$title = single_term_title( '', false );
		} else {
			$title = esc_html__( 'Archives:', 'charihope' );
		}
		return $title;
	}



}

new Ovadefault_Hooks();