<?php 

if( !defined( 'ABSPATH' ) ) exit();

if( !class_exists( 'OVAEM_metaboxes' ) ){

	class OVAEM_metaboxes{

		public function __construct(){

			$this->require_metabox();

			add_action( 'add_meta_boxes', array( $this , 'OVAEM_add_metabox' ) );

			add_action( 'save_post', array( $this , 'OVAEM_save_metabox' ) );

			// Save
			add_action( 'ovaem_update_meta_event', array( 'OVAEM_metaboxes_render_event' ,'save' ), 10, 2 );
		}

		public function require_metabox(){

			require_once( OVAEM_PLUGIN_PATH.'admin/meta-boxes/ovaem-metaboxes-event.php' );

		}

		function OVAEM_add_metabox() {

			add_meta_box( 'ovaem-metabox-settings-event',
				'Events',
				array('OVAEM_metaboxes_render_event', 'render'),
				'event',
				'normal',
				'high'
			);
		}

		function OVAEM_save_metabox($post_id) {

			/* if our nonce isn't there, or we can't verify it, bail */
			if( !isset( $_POST['ovaem_nonce'] ) || !wp_verify_nonce( $_POST['ovaem_nonce'], 'ovaem_nonce' ) ) return;

			do_action( 'ovaem_update_meta_event', $post_id, $_POST );
		}
	}

	new OVAEM_metaboxes();
}

?>