<?php 

if( !defined( 'ABSPATH' ) ) exit();

if( !class_exists( 'OVAEM_custom_post_type' ) ) {

	class OVAEM_custom_post_type{

		public function __construct(){

			add_action( 'init', array( $this, 'OVAEM_register_post_type_event' ) );

			add_action( 'init', array( $this, 'OVAEM_custom_taxonomy_cat' ) );

		}

		
		function OVAEM_register_post_type_event() {

			$slug = 'event';
			$name = 'Events';
			$singular_name = 'Event';

			$labels = array(
				'name'                  => _x( $name, 'Post Type General Name', 'ova-events-manager' ),
				'singular_name'         => _x( $singular_name, 'Post Type Singular Name', 'ova-events-manager' ),
				'menu_name'             => __( $name, 'ova-events-manager' ),
				'name_admin_bar'        => __( 'Post Type', 'ova-events-manager' ),
				'archives'              => __( 'Item Archives', 'ova-events-manager' ),
				'attributes'            => __( 'Item Attributes', 'ova-events-manager' ),
				'parent_item_colon'     => __( 'Parent Item:', 'ova-events-manager' ),
				'all_items'             => __( 'All '.$name, 'ova-events-manager' ),
				'add_new_item'          => __( 'Add New '.$singular_name, 'ova-events-manager' ),
				'add_new'               => __( 'Add New '.$singular_name, 'ova-events-manager' ),
				'new_item'              => __( 'New '.$singular_name, 'ova-events-manager' ),
				'edit_item'             => __( 'Edit '.$singular_name, 'ova-events-manager' ),
				'view_item'             => __( 'View '.$name, 'ova-events-manager' ),
				'view_items'            => __( 'View '.$name, 'ova-events-manager' ),
				'search_items'          => __( 'Search '.$name, 'ova-events-manager' ),
				'not_found'             => __( 'Not found', 'ova-events-manager' ),
				'not_found_in_trash'    => __( 'Not found in Trash', 'ova-events-manager' ),
			);
			$args = array(
				'description'         => __( 'Post Type Description', 'ova-events-manager' ),
				'labels'              => $labels,
				'supports'            => array( 'author', 'title', 'editor', 'comments', 'excerpt', 'thumbnail' ),
				'hierarchical'        => false,
				'public'              => true,
				'show_ui'             => true,
				'show_in_menu'        => 'ovaem-menu',
				'menu_position'       => 5,
				'query_var'           => true,
				'has_archive'         => true,
				'exclude_from_search' => true,
				'publicly_queryable'  => true,
				'rewrite'             => array( 'slug' => _x( $slug, 'URL slug', 'ova-events-manager' ) ),
				'capability_type'     => 'post',
			);
			register_post_type( $slug, $args );
		}
		

		// Register Custom Taxonomy Categories
		function OVAEM_custom_taxonomy_cat() {

			$slug = 'event_cat';
			$name = 'Categories';
			$singular_name = 'Categories';

			$labels = array(
				'name'                       => _x( $name, 'Post Type General Name', 'ova-events-manager' ),
				'singular_name'              => _x( $singular_name, 'Post Type Singular Name', 'ova-events-manager' ),
				'menu_name'                  => __( $name, 'ova-events-manager' ),
				'all_items'                  => __( 'All '.$name, 'ova-events-manager' ),
				'parent_item'                => __( 'Parent '.$singular_name, 'ova-events-manager' ),
				'parent_item_colon'          => __( 'Parent Item:', 'ova-events-manager' ),
				'new_item_name'              => __( 'New Item Name', 'ova-events-manager' ),
				'add_new_item'               => __( 'Add New '.$singular_name, 'ova-events-manager' ),
				'add_new'                    => __( 'Add New '.$singular_name, 'ova-events-manager' ),
				'edit_item'                  => __( 'Edit '.$singular_name, 'ova-events-manager' ),
				'view_item'                  => __( 'View '.$name, 'ova-events-manager' ),
				'separate_items_with_commas' => __( 'Separate items with commas', 'ova-events-manager' ),
				'add_or_remove_items'        => __( 'Add or remove items', 'ova-events-manager' ),
				'choose_from_most_used'      => __( 'Choose from the most used', 'ova-events-manager' ),
				'popular_items'              => __( 'Popular Items', 'ova-events-manager' ),
				'search_items'               => __( 'Search '.$name, 'ova-events-manager' ),
				'not_found'                  => __( 'Not Found', 'ova-events-manager' ),
				'no_terms'                   => __( 'No items', 'ova-events-manager' ),
				'items_list'                 => __( 'Items list', 'ova-events-manager' ),
				'items_list_navigation'      => __( 'Items list navigation', 'ova-events-manager' ),
			);
			$args = array(
				'labels'            => $labels,
				'hierarchical'      => true,
				'publicly_queryable' => true,
				'public'            => true,
				'show_ui'           => true,
				'show_in_menu'      => 'ovaem-menu',
				'show_admin_column' => true,
				'show_in_nav_menus' => true,
				'show_tagcloud'     => false,
			);
			register_taxonomy( $slug, array( 'event' ), $args );
		}
		

	}
	new OVAEM_custom_post_type();
}