<?php

if ( !defined( 'ABSPATH' ) ) {
	exit;
}

class OVAEM_get_data {
	public function __construct() {

		add_filter( 'OVAEM_event', array( $this, 'OVAEM_event' ), 10, 0 );

		add_filter( 'OVAEM_get_cat', array( $this, 'OVAEM_get_cat' ), 10, 1 );

		add_filter( 'OVAEM_related_events', array( $this, 'OVAEM_related_events' ), 10, 1 );

	}

	private function OVAEM_query_base( $paged = '', $order = 'ASC', $orderby = 'title' ){

		$args_base = $args_type = $args_paged = $args_orderby = array();

		$args_base = array(
			'post_type' => 'event',
			'order'	=> $order,
		);

		if( is_tax( 'event_cat' ) ||  get_query_var( 'event_cat' ) != '' ){
			$args_type = array( 
				'tax_query' => array(
					array(
						'taxonomy' => 'event_cat',
						'field'    => 'slug',
						'terms'    => get_query_var( 'event_cat' ),
					)
				)
			);
		}
		
		$args_paged = ( $paged != '' ) ? array( 'paged' => $paged ) : array();

		switch ($orderby) {
			case 'title':
			$args_orderby =  array( 'orderby' => 'title' );
			break;

			case 'ovaem_start_date':
			$args_orderby =  array( 'orderby' => 'meta_value', 'meta_key' => $orderby );
			break;
			
			case 'ID':
			$args_orderby =  array( 'orderby' => 'ID');
			break;
			
			default:
			break;
		}
		return array_merge_recursive( $args_base, $args_type, $args_paged, $args_orderby );
	}

	public function OVAEM_event(){

		$paged   = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
		$order   = OVAEM_Settings::archive_event_order();
		$orderby = OVAEM_Settings::archive_event_orderby();

		$args_base = $this->OVAEM_query_base( $paged, $order, $orderby);
		$event = new WP_Query( $args_base );
		return $event;
	}

	/* Event Categories */
	public function OVAEM_get_cat( $selected = '' ){
		$args = array(
			'show_option_all'   => '' ,
			'show_option_none'  => esc_html__( 'All Categories', 'ova-events-manager' ),
			'post_type'         => 'event',
			'post_status'       => 'publish',
			'posts_per_page'    => '-1',
			'option_none_value' => '',
			'orderby'           => 'name',
			'order'             => 'ASC',
			'show_count'        => 0,
			'hide_empty'        => 0,
			'child_of'          => 0,
			'exclude'           => '',
			'include'           => '',
			'echo'              => 1,
			'selected'          => $selected,
			'hierarchical'      => 1,
			// 'name'              => 'event_cat',
			'id'                => '',
			'class'             => 'selectpicker postform',
			'depth'             => 0,
			'tab_index'         => 0,
			'taxonomy'          => 'event_cat',
			'hide_if_empty'     => false,
			'value_field'       => 'slug',
		);

		return get_categories($args);
	}

	/* Related Events */
	public function OVAEM_related_events( $params = '' ){

		/* Query base */
		$args_basic = array(
			'post_type' => 'event',
			'post_status' => 'publish',
			'post__not_in' => $params,
			'posts_per_page' => 3
		);

		$related_events = new WP_Query( $args_basic );
		return $related_events;
	}

}
new OVAEM_get_data();