<?php if ( !defined( 'ABSPATH' ) ) exit();

get_header();

$events = apply_filters( 'OVAEM_event', 10 );

?>

<div class="event-archive">
	<div class="wp-content">
		<div class="archive-event-grid">

			<?php if($events->have_posts() ) : while ( $events->have_posts() ) : $events->the_post(); ?>
				<?php
				$id = get_the_ID();
				$ovaem_start_date = get_post_meta( $id, 'ovaem_start_date', true );
				$ovaem_end_date   = get_post_meta( $id, 'ovaem_end_date', true );
				$address = get_post_meta( $id, 'ovaem_address', true );


				$date_start   = $ovaem_start_date != '' ? date_i18n(get_option('date_format'), $ovaem_start_date ) : '';
				$date_end   = $ovaem_end_date != '' ? date_i18n(get_option('date_format'), $ovaem_end_date ) : '';

				?>
				<div class="item-even-grid">
					<div class="ova-media">
						<?php the_post_thumbnail( 'full', array('class'=> 'img-responsive' ));; ?>
					</div>
					<div class="content">
						<h3 class="second_font event-title"><a href="<?php the_permalink(); ?>"><?php echo get_the_title(); ?></a></h3>
						<div class="event-meta">
							<i class="flaticon-facebook-placeholder-for-locate-places-on-maps"></i>
							<span class="date"><?php echo esc_html($date_start) . ' - ' ?></span>
							<span class="address"><?php echo esc_html($address) ?></span>
						</div>
						<div class="text-readmore">
							<a href="<?php the_permalink(); ?>" class="read-more second_font"><?php echo esc_html('Read More', 'ova-events-manager') ?></a>
						</div>
					</div>
				</div>
			<?php endwhile; 
			else: ?>
				<div class="search_not_found">
					<?php esc_html_e( 'Not Found Events', 'ova-events-manager' ); ?>
				</div>

			<?php endif; wp_reset_postdata(); ?>

		</div>
		<?php ovaem_pagination_plugin($events); ?>
	</div>
</div>

<?php
get_footer(); ?>








